# LIST SCHEMA\_REGISTRIES

## Syntax

```sql
[ LIST | SHOW ] SCHEMA_REGISTRIES;
```

## Description

This provides a list of schema registries to which the user has access. A [schema registry](/overview/core-concepts/store.md#schema-registry) is required when dealing with data serialized with Avro.

Schema registries are listed only if the current role has USAGE privileges.

## Examples

```sh
demodb.public/demostore# LIST SCHEMA_REGISTRIES;
+----------+----------------+--------+------------------------------------------------+----------+-------------------------------+-------------------------------+
|  Name    |  Type          |  State |  Uris                                          |  Owner   |  Created At                   |  Updated At                   |
+==========+================+========+================================================+==========+===============================+===============================+
| sr_local | Confluent      | ready  | https://on-prem-sr.ds:8081                     | sysadmin | 2024-05-14 19:20:15 +0000 UTC | 2024-05-14 19:20:15 +0000 UTC |
+----------+----------------+--------+------------------------------------------------+----------+-------------------------------+-------------------------------+
| cc_reg   | ConfluentCloud | ready  | https://abcdef.us-central1.gcp.confluent.cloud | sysadmin | 2024-06-11 19:43:44 +0000 UTC | 2024-06-11 19:43:44 +0000 UTC |
+----------+----------------+--------+------------------------------------------------+----------+-------------------------------+-------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/list-schema_registries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
